package Demo2;

// Copyright 2002, JNBridge LLC

import java.sql.*;
import java.util.*;

public class Author
{
	public String firstName;
	public String lastName;
	
	public Author(String firstName, String lastName)
	{
		this.firstName = firstName;
		this.lastName = lastName;
	}
	
	public static Author[] getAuthors()
	{
		try
		{
			Connection conn = DemoDBConnection.getConnection();
			Statement stmt = conn.createStatement();
			ResultSet authorNames = stmt.executeQuery("SELECT LastName, FirstName FROM Authors ORDER BY LastName");
			
			Vector v = new Vector();
			while (authorNames.next())
			{
				v.add(new Author(authorNames.getString("FirstName"), authorNames.getString("LastName")));
			}
			
			Author[] results = new Author[v.size()];
			for (int i = 0; i < v.size(); i++)
			{
				results[i] = (Author) v.get(i);
			}
			
			return results;	// for now
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.out.println(e);
			return null;
		}
	}
}