package Demo2;

// Copyright 2002, JNBridge LLC

import java.sql.*;
import java.util.*;

public class Book
{
	public String title;
	public String publisher;
	public String year;
	
	public Book(String title, String publisher, String year)
	{
		this.title = title;
		this.publisher = publisher;
		this.year = year;
	}
	
	public static Book[] getBooks()
	{
		try
		{
			Connection conn = DemoDBConnection.getConnection();
			Statement stmt = conn.createStatement();
			ResultSet titles = stmt.executeQuery("SELECT Title, Publisher, Year FROM Titles ORDER BY Title");
			
			Vector v = new Vector();
			while (titles.next())
			{
				v.add(new Book(titles.getString("Title"), titles.getString("Publisher"), titles.getString("Year")));
			}
			
			Book[] results = new Book[v.size()];
			for (int i = 0; i < v.size(); i++)
			{
				results[i] = (Book) v.get(i);
			}
			
			return results;	// for now
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.out.println(e);
			return null;
		}
	}
	
	public static Book[] getBooks(String firstName, String lastName)
	{
		try
		{
			Connection conn = DemoDBConnection.getConnection();
			Statement stmt = conn.createStatement();
			String query = "SELECT Title, Publisher, Year FROM Titles, Authors " +
												 "WHERE FirstName = \'" + firstName + "\' AND " +
												 "LastName = \'" + lastName + "\' AND Authors.ID = Titles.AuthorID ORDER BY Title";
											
			ResultSet titles = stmt.executeQuery(query);
			
			Vector v = new Vector();
			while (titles.next())
			{
				v.add(new Book(titles.getString("Title"), titles.getString("Publisher"), titles.getString("Year")));
			}
			
			Book[] results = new Book[v.size()];
			for (int i = 0; i < v.size(); i++)
			{
				results[i] = (Book) v.get(i);
			}
			
			return results;	// for now
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.out.println(e);
			return null;
		}
	}
}
